API ReferenceTask
Get Task By Task Share Token
Get Task By Task Share Token
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
token*string
TaskShare identifier
Response Body
curl -X GET "https://example.com/project/tasks/shared/string"{ "name": "string", "description": "string", "no": 0, "priority": "low", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "status": "string", "taskTypes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c", "categories": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ] } ], "assignedTaskUsers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" } ], "taskChecklists": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "weight": 0, "taskChecklistItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isChecked": true, "weight": 0 } ], "leader": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "pictureSm": "string", "pictureLg": "string" } } ], "boardColumn": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c", "status": "todo" }, "countFiles": 0, "countComments": 0}